Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 882)
@@ -272,5 +272,4 @@
   WRITE_FLAG( pcPPS->getSliceHeaderExtensionPresentFlag() ? 1 : 0, "slice_segment_header_extension_present_flag");
 
-#if H_MV_HLS_7_GEN_P0166_PPS_EXTENSION
 #if !H_MV
   WRITE_FLAG( 0, "pps_extension_flag" );
@@ -290,7 +289,5 @@
   if( pcPPS->getPpsExtensionTypeFlag( PPS_EX_T_MV ) )
   {
-#if H_MV_HLS_7_POC_P0041
     WRITE_FLAG( pcPPS->getPocResetInfoPresentFlag( ) ? 1 : 0 , "poc_reset_info_present_flag" );
-#endif
   }
 
@@ -303,13 +300,5 @@
 
 #endif
-#else
-#if !H_3D
-  WRITE_FLAG( 0, "pps_extension_flag" );
-#else
-  WRITE_FLAG( 1, "pps_extension_flag" );
-  codePPSExtension( pcPPS ); 
-  WRITE_FLAG( 0, "pps_extension2_flag" );
-#endif
-#endif
+
 }
 
@@ -725,5 +714,5 @@
 #endif
   WRITE_UVLC( pcSPS->getBitsForPOC()-4,                 "log2_max_pic_order_cnt_lsb_minus4" );
-#if H_MV_HLS_7_SPS_P0155_16_32
+#if H_MV
   if ( pcSPS->getLayerId() == 0 ) 
   {  
@@ -741,5 +730,5 @@
     }
   }
-#if H_MV_HLS_7_SPS_P0155_16_32
+#if H_MV
   }
 #endif
@@ -871,7 +860,5 @@
     WRITE_SVLC( pcSPS->getScaledRefLayerRightOffset( j ), "scaled_ref_layer_right_offset" );
     WRITE_SVLC( pcSPS->getScaledRefLayerBottomOffset( j ), "scaled_ref_layer_bottom_offset" );
-#if H_MV_HLS_7_RESERVED_FLAGS
     WRITE_FLAG( 0, "sps_multilayer_ext_reserved_zero_flag[ j ]" );
-#endif
   }
 }
@@ -904,13 +891,5 @@
   WRITE_FLAG( pcVPS->getTemporalNestingFlag(),                "vps_temporal_id_nesting_flag" );
   assert (pcVPS->getMaxTLayers()>1||pcVPS->getTemporalNestingFlag());
-#if H_MV_HLS_7_VPS_P0125_24
   WRITE_CODE( 0xffff,                              16,        "vps_reserved_ffff_16bits" );
-#else
-#if H_MV && !H_MV_HLS7_GEN
-  WRITE_CODE( 0xffff,                              16,        "vps_extension_offset" );
-#else
-  WRITE_CODE( 0xffff,                              16,        "vps_reserved_ffff_16bits" );
-#endif
-#endif
   codePTL( pcVPS->getPTL(), true, pcVPS->getMaxTLayers() - 1 );
   const Bool subLayerOrderingInfoPresentFlag = 1;
@@ -1010,14 +989,6 @@
 {
   WRITE_FLAG( pcVPS->getAvcBaseLayerFlag() ? 1 : 0,          "avc_base_layer_flag" );
-#if !H_MV_HLS_7_VPS_P0307_23
-  WRITE_FLAG( pcVPS->getVpsVuiPresentFlag() ? 1 : 0 , "vps_vui_present_flag" );
-  if ( pcVPS->getVpsVuiPresentFlag() )
-  {  
-  WRITE_CODE( pcVPS->getVpsVuiOffset( ), 16,                 "vps_vui_offset" );  // TBD
-  }
-#endif
-
   WRITE_FLAG( pcVPS->getSplittingFlag() ? 1 : 0,             "splitting_flag" );
-  
+
   for( Int type = 0; type < MAX_NUM_SCALABILITY_TYPES; type++ )
   {
@@ -1042,9 +1013,9 @@
     {      
       WRITE_CODE( pcVPS->getLayerIdInNuh( i ), 6,          "layer_id_in_nuh[i]");
-  }
+    }
     else
     {
       assert( pcVPS->getLayerIdInNuh( i ) == i ); 
-  }
+    }
 
     assert(  pcVPS->getLayerIdInVps( pcVPS->getLayerIdInNuh( i ) ) == i ); 
@@ -1064,20 +1035,20 @@
 
 
-    WRITE_CODE( pcVPS->getViewIdLen( ), 4, "view_id_len" );
-    
-    if ( pcVPS->getViewIdLen( ) > 0 )
-    {    
-      for( Int i = 0; i < pcVPS->getNumViews(); i++ )
-      {
-        WRITE_CODE( pcVPS->getViewIdVal( i ), pcVPS->getViewIdLen( ), "view_id_val[i]" );
-      }
-    }
-    else
-    {
-      for( Int i = 0; i < pcVPS->getNumViews(); i++ )
-      {
-        assert( pcVPS->getViewIdVal( i ) == 0 ); 
-      }
-    }
+  WRITE_CODE( pcVPS->getViewIdLen( ), 4, "view_id_len" );
+
+  if ( pcVPS->getViewIdLen( ) > 0 )
+  {    
+    for( Int i = 0; i < pcVPS->getNumViews(); i++ )
+    {
+      WRITE_CODE( pcVPS->getViewIdVal( i ), pcVPS->getViewIdLen( ), "view_id_val[i]" );
+    }
+  }
+  else
+  {
+    for( Int i = 0; i < pcVPS->getNumViews(); i++ )
+    {
+      assert( pcVPS->getViewIdVal( i ) == 0 ); 
+    }
+  }
 
 
@@ -1122,33 +1093,12 @@
 
   WRITE_FLAG( pcVPS->getAllRefLayersActiveFlag( ) ? 1 : 0 , "all_ref_layers_active_flag" );
-#if !H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
-  WRITE_CODE( pcVPS->getVpsNumberLayerSetsMinus1( )    , 10,    "vps_number_layer_sets_minus1"      );
-#endif
-
-#if !H_MV_HLS_7_VPS_P0306_22
-  WRITE_CODE( pcVPS->getVpsNumProfileTierLevelMinus1( ), 6,     "vps_num_profile_tier_level_minus1" );
-#else
   WRITE_UVLC( pcVPS->getVpsNumProfileTierLevelMinus1( ), "vps_num_profile_tier_level_minus1" );
-#endif
 
   for( Int i = 1; i <= pcVPS->getVpsNumProfileTierLevelMinus1(); i++ )
   {
     WRITE_FLAG( pcVPS->getVpsProfilePresentFlag( i ) ? 1 : 0, "vps_profile_present_flag[i]" );
-#if !H_MV_HLS_7_VPS_P0048_14
-    if( !pcVPS->getVpsProfilePresentFlag( i ) )
-    {    
-      WRITE_CODE( pcVPS->getProfileRefMinus1( i ), 6, "profile_ref_minus1[i]" );
-      pcVPS->checkProfileRefMinus1( i );      
-    }
-#endif
     codePTL( pcVPS->getPTL( i ), pcVPS->getVpsProfilePresentFlag( i ), pcVPS->getMaxTLayers() - 1 );
   }
 
-
-
-
-
-
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
   WRITE_UVLC( pcVPS->getNumAddOutputLayerSets( ), "num_add_output_layer_sets" );
 
@@ -1157,38 +1107,14 @@
     WRITE_CODE( pcVPS->getDefaultTargetOutputLayerIdc( ), 2, "default_target_output_layer_idc" );
   }  
-#else
-  Int numOutputLayerSets = pcVPS->getVpsNumberLayerSetsMinus1( ) + 1; 
-
-  WRITE_FLAG( pcVPS->getMoreOutputLayerSetsThanDefaultFlag( ) ? 1 : 0, "more_output_layer_sets_than_default_flag" );
-
-  if ( pcVPS->getMoreOutputLayerSetsThanDefaultFlag( ) )
-  {
-    WRITE_CODE( pcVPS->getNumAddOutputLayerSetsMinus1( )    , 10,    "num_add_output_layer_sets_minus1"      );
-    numOutputLayerSets += ( pcVPS->getNumAddOutputLayerSetsMinus1( ) + 1 ); 
-  }
-
-  if( numOutputLayerSets > 1)
-  {
-    WRITE_CODE( pcVPS->getDefaultOneTargetOutputLayerIdc( ), 2, "default_one_target_output_layer_idc" );
-    pcVPS->checkDefaultOneTargetOutputLayerIdc(); 
-  }  
-#endif
+
 
   assert( pcVPS->getOutputLayerFlag(0, 0) == pcVPS->inferOutputLayerFlag( 0, 0 )); 
   assert( pcVPS->getOutputLayerSetIdxMinus1( 0 ) == -1 ); 
 
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
-
   for( Int i = 1; i < pcVPS->getNumOutputLayerSets( ); i++ )
   {
     if( i > pcVPS->getVpsNumLayerSetsMinus1( ) )    
-#else
-  for( Int i = 1; i < numOutputLayerSets; i++ )
-  {
-    if( i > pcVPS->getVpsNumberLayerSetsMinus1( ) )
-#endif
     {      
       WRITE_UVLC( pcVPS->getOutputLayerSetIdxMinus1( i ),      "output_layer_set_idx_minus1[i]" );
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
     }
 
@@ -1208,24 +1134,8 @@
     }        
 
-#else
-      for( Int j = 0; j < pcVPS->getNumLayersInIdList( j ) - 1 ; j++ )
-      {
-        WRITE_FLAG( pcVPS->getOutputLayerFlag( i, j) ? 1 : 0, "output_layer_flag" );
-      }      
-    }
-    else
-    { // These inference rules would also be helpful in spec text
-      assert( pcVPS->getOutputLayerSetIdxMinus1(i ) ==  i - 1 ); 
-      for( Int j = 0; j < pcVPS->getNumLayersInIdList( j ) - 1; j++ )
-      {              
-        assert( pcVPS->getOutputLayerFlag( i , j ) == pcVPS->inferOutputLayerFlag( i, j )); 
-      }
-    }
-#endif
     if ( pcVPS->getProfileLevelTierIdxLen()  > 0 )
     {      
       WRITE_CODE( pcVPS->getProfileLevelTierIdx( i ), pcVPS->getProfileLevelTierIdxLen() ,"profile_level_tier_idx[ i ]" );   
     }
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
     if( pcVPS->getNumOutputLayersInOutputLayerSet( i ) == 1 && pcVPS->getNumDirectRefLayers( pcVPS->getOlsHighestOutputLayerId( i ) ) > 0 )
     {
@@ -1233,25 +1143,9 @@
     }
   }
-#else
-  }
-
-  if( pcVPS->getMaxLayersMinus1() > 0 )
-  {
-    WRITE_FLAG( pcVPS->getAltOutputLayerFlag( ) ? 1 : 0 , "alt_output_layer_flag" );
-  }
-#endif
-
-
-
-
 
   WRITE_FLAG( pcVPS->getRepFormatIdxPresentFlag( ) ? 1 : 0 , "rep_format_idx_present_flag" );
   if ( pcVPS->getRepFormatIdxPresentFlag() )
   {
-#if H_MV_HLS_7_VPS_P0306_22
     WRITE_UVLC( pcVPS->getVpsNumRepFormatsMinus1( ), "vps_num_rep_formats_minus1" );
-#else
-    WRITE_CODE( pcVPS->getVpsNumRepFormatsMinus1( ), 4, "vps_num_rep_formats_minus1" );
-#endif
   }
 
@@ -1269,9 +1163,5 @@
       if( pcVPS->getVpsNumRepFormatsMinus1() > 0 )
       {
-#if H_MV_HLS_7_VPS_P0306_22
         WRITE_CODE( pcVPS->getVpsRepFormatIdx(i), pcVPS->getVpsRepFormatIdxLen(), "vps_rep_format_idx[i]" );
-#else
-        WRITE_CODE( pcVPS->getVpsRepFormatIdx( i ), 8, "vps_rep_format_idx" );
-#endif
       }
     }
@@ -1289,7 +1179,5 @@
     }
   }
-#if H_MV_HLS_7_RESERVED_FLAGS
   WRITE_FLAG( 0, "vps_reserved_zero_flag" );
-#endif
   codeDpbSize( pcVPS ); 
 
@@ -1321,24 +1209,18 @@
     }
   }  
-#if H_MV_HLS_7_VPS_P0307_23
   WRITE_UVLC( 0, "vps_non_vui_extension_length" );
   WRITE_FLAG( pcVPS->getVpsVuiPresentFlag() ? 1 : 0 , "vps_vui_present_flag" );
-#endif
-#if !H_MV_HLS_7_RESERVED_FLAGS  
-    WRITE_FLAG ( 0,                                      "vps_shvc_reserved_zero_flag" ); 
-#endif
-    if( pcVPS->getVpsVuiPresentFlag() )
-    {
-      m_pcBitIf->writeAlignOne();  // vps_vui_alignment_bit_equal_to_one
-      codeVPSVUI( pcVPS ); 
-    }     
-#if H_MV_HLS_7_FIX_INFER_CROSS_LAYER_IRAP_ALIGNED_FLAG
-    {
-      TComVPSVUI* pcVPSVUI = pcVPS->getVPSVUI( ); 
-      assert( pcVPSVUI ); 
-      pcVPSVUI->inferVpsVui( true ); 
-    }
-#endif
-}
+  if( pcVPS->getVpsVuiPresentFlag() )
+  {
+    m_pcBitIf->writeAlignOne();  // vps_vui_alignment_bit_equal_to_one
+    codeVPSVUI( pcVPS ); 
+  }     
+  {
+    TComVPSVUI* pcVPSVUI = pcVPS->getVPSVUI( ); 
+    assert( pcVPSVUI ); 
+    pcVPSVUI->inferVpsVui( true ); 
+  }
+}
+
 Void TEncCavlc::codeVideoSignalInfo( TComVideoSignalInfo* pcVideoSignalInfo )
 {
@@ -1359,9 +1241,5 @@
   {  
     WRITE_FLAG( dpbSize->getSubLayerFlagInfoPresentFlag( i ) ? 1 : 0 , "sub_layer_flag_info_present_flag" );
-#if H_MV_HLS_7_HRD_P0156_7
     for( Int j = 0; j  <=  vps->getMaxSubLayersInLayerSetMinus1( i ); j++ )
-#else
-    for( Int j = 0; j  <=  vps->getMaxTLayers() - 1 ; j++ )
-#endif
     {  
       if( j > 0  &&  dpbSize->getSubLayerDpbInfoPresentFlag( i, j )  )  
@@ -1371,9 +1249,5 @@
       if( dpbSize->getSubLayerDpbInfoPresentFlag( i, j ) )
       {  
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
         for( Int k = 0; k < vps->getNumSubDpbs( vps->getLayerSetIdxForOutputLayerSet( i )); k++ )   
-#else
-        for( Int k = 0; k < vps->getNumSubDpbs( vps->getOutputLayerSetIdxMinus1( i ) + 1 ); k++ )   // Preliminary fix does not match with spec
-#endif
         {
           WRITE_UVLC( dpbSize->getMaxVpsDecPicBufferingMinus1( i, k, j ), "max_vps_dec_pic_buffering_minus1" );
@@ -1395,9 +1269,5 @@
         if ( j > 0 )
         {
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
           for( Int k = 0; k < vps->getNumSubDpbs( vps->getLayerSetIdxForOutputLayerSet( i ) ); k++ )   
-#else
-          for( Int k = 0; k < vps->getNumSubDpbs( vps->getOutputLayerSetIdxMinus1( i ) + 1 ); k++ )   
-#endif
           {
             assert( dpbSize->getMaxVpsDecPicBufferingMinus1( i, k, j ) == dpbSize->getMaxVpsDecPicBufferingMinus1( i,k, j - 1 ) );
@@ -1451,19 +1321,13 @@
     WRITE_FLAG( pcVPSVUI->getCrossLayerIrapAlignedFlag( ) ? 1 : 0 , "cross_layer_irap_aligned_flag" );
   }
-#if H_MV_HLS_7_MISC_P0068_21
   if( pcVPSVUI->getCrossLayerIrapAlignedFlag( ) )
   {
     WRITE_FLAG( pcVPSVUI->getAllLayersIdrAlignedFlag( ) ? 1 : 0 , "all_layers_idr_aligned_flag" );
   }
-#endif
   WRITE_FLAG( pcVPSVUI->getBitRatePresentVpsFlag( ) ? 1 : 0 , "bit_rate_present_vps_flag" );
   WRITE_FLAG( pcVPSVUI->getPicRatePresentVpsFlag( ) ? 1 : 0 , "pic_rate_present_vps_flag" );
   if( pcVPSVUI->getBitRatePresentVpsFlag( )  ||  pcVPSVUI->getPicRatePresentVpsFlag( ) )
   {
-#if H_MV_HLS_7_OUTPUT_LAYERS_5_10_22_27
     for( Int i = 0; i  <=  pcVPS->getVpsNumLayerSetsMinus1(); i++ )
-#else
-    for( Int i = 0; i  <=  pcVPS->getVpsNumberLayerSetsMinus1(); i++ )
-#endif
     {
       for( Int j = 0; j  <=  pcVPS->getMaxTLayers(); j++ ) 
@@ -1491,5 +1355,4 @@
   }
 
-#if H_MV_HLS_7_VPS_P0076_15
   WRITE_FLAG( pcVPSVUI->getVideoSignalInfoIdxPresentFlag( ) ? 1 : 0 , "video_signal_info_idx_present_flag" );
   if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() )
@@ -1525,5 +1388,4 @@
     }
   }
-#endif
   WRITE_FLAG( pcVPSVUI->getTilesNotInUseFlag( ) ? 1 : 0 , "tiles_not_in_use_flag" );
   if( !pcVPSVUI->getTilesNotInUseFlag() ) 
@@ -1560,7 +1422,5 @@
     }
   }
-#if H_MV_HLS_7_RESERVED_FLAGS
   WRITE_CODE( 0, 3, "vps_vui_reserved_zero_3bits" );
-#endif
   WRITE_FLAG( pcVPSVUI->getIlpRestrictedRefLayersFlag( ) ? 1 : 0 , "ilp_restricted_ref_layers_flag" );
 
@@ -1584,38 +1444,5 @@
   }
 
-#if !H_MV_HLS_7_VPS_P0076_15
-  WRITE_FLAG( pcVPSVUI->getVideoSignalInfoIdxPresentFlag( ) ? 1 : 0 , "video_signal_info_idx_present_flag" );
-  if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() )
-  {
-    WRITE_CODE( pcVPSVUI->getVpsNumVideoSignalInfoMinus1( ), 4, "vps_num_video_signal_info_minus1" );
-  }
-  else
-  {
-    pcVPSVUI->setVpsNumVideoSignalInfoMinus1( pcVPS->getMaxLayersMinus1() ); 
-  }
-
-  for( Int i = 0; i <= pcVPSVUI->getVpsNumVideoSignalInfoMinus1(); i++ )
-  {
-    assert( pcVPSVUI->getVideoSignalInfo( i ) != NULL ); 
-    TComVideoSignalInfo* curVideoSignalInfo = pcVPSVUI->getVideoSignalInfo( i ); 
-    codeVideoSignalInfo( curVideoSignalInfo );     
-  }
-
-  if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() && pcVPSVUI->getVpsNumVideoSignalInfoMinus1() > 0 )
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      WRITE_CODE( pcVPSVUI->getVpsVideoSignalInfoIdx( i ), 4, "vps_video_signal_info_idx" );
-      assert( pcVPSVUI->getVpsVideoSignalInfoIdx( i ) >= 0 && pcVPSVUI->getVpsVideoSignalInfoIdx( i ) <= pcVPSVUI->getVpsNumVideoSignalInfoMinus1() );
-    }
-}
-  else
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      assert( pcVPSVUI->getVpsVideoSignalInfoIdx( i  ) == ( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() ? 0 : i ) ); 
-    }
-  }
-#endif
+
   WRITE_FLAG( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) ? 1 : 0 , "vps_vui_bsp_hrd_present_flag" );
   if ( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) )
@@ -1623,5 +1450,4 @@
     codeVpsVuiBspHrdParameters( pcVPS ); 
   }
-#if H_MV_HLS_7_MISC_P0182_13
   for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
   {
@@ -1630,6 +1456,5 @@
       WRITE_FLAG( pcVPSVUI->getBaseLayerParameterSetCompatibilityFlag( i ) ? 1 : 0 , "base_layer_parameter_set_compatibility_flag" );
     }
-}
-#endif
+  }
 }
 
@@ -2225,16 +2050,5 @@
 #endif
 
-#if !H_MV_HLS_7_POC_P0041
-#if PPS_FIX_DEPTH
-  if(pcSlice->getPPS()->getSliceHeaderExtensionPresentFlag() || pcSlice->getIsDepth() )
-#else
-  if(pcSlice->getPPS()->getSliceHeaderExtensionPresentFlag())
-#endif
-  {
-    WRITE_UVLC(0,"slice_header_extension_length");
-  }
-#endif
-
-#if H_MV_HLS_7_POC_P0041
+
 #if !H_MV
   if(pcSlice->getPPS()->getSliceHeaderExtensionPresentFlag())
@@ -2344,5 +2158,4 @@
   }
 #endif 
-#endif
 }
 
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 882)
@@ -347,5 +347,5 @@
 
   Bool      m_useStrongIntraSmoothing;                        ///< enable the use of strong intra smoothing (bi_linear interpolation) for 32x32 blocks when reference samples are flat.
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
   Bool              m_subBistreamPropSEIEnabled;
   Int               m_numAdditionalSubStreams;
@@ -785,5 +785,5 @@
   Int   getScalableNestingSEIEnabled()                     { return m_scalableNestingSEIEnabled; }
 
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
   Bool   getSubBitstreamPropSEIEnabled()        { return m_subBistreamPropSEIEnabled;}
   Void   setSubBitstreamPropSEIEnabled(Bool x)  { m_subBistreamPropSEIEnabled = x;}
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 882)
@@ -1794,7 +1794,4 @@
     memset( mergeCandBuffer, 0, MRG_MAX_NUM_CANDS_MEM*sizeof(Int) );
     rpcTempCU->setPartSizeSubParts( SIZE_2Nx2N, 0, uhDepth ); // interprets depth relative to LCU level
-#if !UPDATE_HM13
-    rpcTempCU->setCUTransquantBypassSubParts( m_pcEncCfg->getCUTransquantBypassFlagValue(), 0, uhDepth );
-#endif
     rpcTempCU->setARPWSubParts( (UChar)nARPW , 0 , uhDepth );
 #if H_3D_IC
@@ -2085,8 +2082,6 @@
 {
 
-#if UPDATE_HM13
 #if H_3D
   const Bool bTransquantBypassFlag = rpcTempCU->getCUTransquantBypass(0);
-#endif
 #endif
 #if  H_3D_FAST_TEXTURE_ENCODING
@@ -2109,9 +2104,5 @@
     if( bFirstTime == false && rpcTempCU->getSlice()->getVPS()->getUseAdvRP( iLayerId ) )
     {
-#if UPDATE_HM13
       rpcTempCU->initEstData( rpcTempCU->getDepth(0), rpcTempCU->getQP(0),bTransquantBypassFlag );      
-#else
-      rpcTempCU->initEstData( rpcTempCU->getDepth(0), rpcTempCU->getQP(0) );
-#endif
     }
 #endif
@@ -2222,9 +2213,5 @@
       {
         Int orgQP = rpcBestCU->getQP( 0 );
-#if UPDATE_HM13
         rpcTempCU->initEstData( uhDepth, orgQP ,bTransquantBypassFlag );      
-#else
-        rpcTempCU->initEstData( uhDepth, orgQP );
-#endif
         rpcTempCU->copyPartFrom( rpcBestCU, 0, uhDepth );
       }
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 882)
@@ -296,5 +296,5 @@
 }
 
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
 SEISubBitstreamProperty *TEncGOP::xCreateSEISubBitstreamProperty( TComSPS *sps)
 {
@@ -365,5 +365,5 @@
     delete sei;
   }
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
   if( m_pcCfg->getSubBitstreamPropSEIEnabled() )
   {
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncGOP.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncGOP.h	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncGOP.h	(revision 882)
@@ -212,5 +212,5 @@
 
   SEIToneMappingInfo*     xCreateSEIToneMappingInfo();
-#if H_MV_HLS_7_SEI_P0204_26
+#if H_MV
   SEISubBitstreamProperty *xCreateSEISubBitstreamProperty( TComSPS *sps);
 #endif
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 882)
@@ -4601,12 +4601,10 @@
         }
         else
-#if H_3D_FIX_G0148_BRACE
           {
-#endif
 #endif
           pcCU->setInterDirSubParts  ( uiMRGInterDir, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
             pcCU->getCUMvField( REF_PIC_LIST_0 )->setAllMvField( cMRGMvField[0], ePartSize, uiPartAddr, 0, iPartIdx );
             pcCU->getCUMvField( REF_PIC_LIST_1 )->setAllMvField( cMRGMvField[1], ePartSize, uiPartAddr, 0, iPartIdx );
-#if H_3D_FIX_G0148_BRACE
+#if H_3D
           }
 #endif
Index: branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 881)
+++ branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 882)
@@ -667,6 +667,4 @@
   m_cSPS.setSPSId( getLayerIdInVps() );
   m_cSPS.setLayerId( getLayerId() );
-#endif
-#if H_MV_HLS_7_VPS_P0048_14
  // Code below needs to be moved to VPS
 #endif
@@ -832,11 +830,7 @@
   m_cPPS.setSPSId( getLayerIdInVps() );
 
-#if H_MV_HLS_7_GEN_P0166_PPS_EXTENSION
-#if H_MV  
   m_cPPS.setPpsExtensionTypeFlag          ( PPS_EX_T_MV ,true ); 
 #if H_3D
   m_cPPS.setPpsExtensionTypeFlag          ( PPS_EX_T_3D ,true ); 
-#endif
-#endif
 #endif
 #endif
